function unixUTC = GPStoUTCtime(gpsWeek,gpsSeconds)
% This function converted the gps time either in seconds or week and seconds 
% to UTC time un unix seconds.
if(nargin > 1)
    adjGPSTime = gpsWeek*7*86400 + gpsSeconds;
else
    adjGPSTime = gpsWeek;
end
gpsTime1970 = adjGPSTime + matlab2unixtime(datenum('1980-01-06','yyyy-mm-dd'));
% check to see leap second does not change withing the selected period
minLeapSecs = getGPSLeapSecs(min(gpsTime1970));
if minLeapSecs ~= getGPSLeapSecs(max(gpsTime1970))
    warning('adjStdGPStoUTC:jumpInTheMiddle',['Leap second offset changes within the time period - Lucky you!\n',...
        'Only one (lesser) leap second is applied to ensure timeseries continuity\n'])
end
unixUTC = gpsTime1970 - minLeapSecs;
end