function [Bz] = SolenoidFieldAlongAxis(z,I,N,R)
%% Returns magnetic field strength along the axis (always parallel to the axis)
% of a solenoid at axial distance of z (default = 0 m), with N(default = 1) loops, current per
% loop of I (default = 1 A and loop Radius R (default =0.01 m)
if nargin<4,R = 0.01;elseif isempty(R),R = 0.01; end;
if nargin<3,N = 1;elseif isempty(N),N = 1; end;
if nargin<2,I = 1;elseif isempty(R),I = 1; end;
if nargin<1,z = 0;elseif isempty(z),z = 0; end;
%%
mu0 = 4*pi*1e-7; %Tm/A
Bz = (mu0*N.*I.*R.^2)./(2*(z.^2 + R.^2).^(3/2));
end