function [crossTrack,alongTrack,slantRange] = boresightOffset(flightelev,crossAngle,alongAngle) 
% Computes offsets in cross track (m), along track(m) and slant Range(m) for given
% flight elevation (ft), crossTrack boresight angle (deg), alongTrack
% boresight angle (deg)
% Angles and offsets are positive to left and front in body frame
Altitude = flightelev/3.28;
 crossTrack = Altitude.*sind(crossAngle);
 alongTrack = Altitude.*sind(alongAngle);
 slantRange = sqrt(Altitude.^2 + crossTrack.^2 + alongTrack.^2);