% This function cleans up the log files generated by diary call on matlab
% when it crashes.
% Set up a onCleanup object as follows:
% diary('mylogfile.log')
% diaryCleaner = onCleanup(@()cleanLogFileOnCrash('mylogfile.log');
% .log extension is required to prevent moving of unintended files
% The log files are moved into crashLogs directory in the work dir
%  
% clear('diaryCleaner');
function [] = cleanLogFileOnCrash(logFile)
[~,logFileNameOnly,logext] = fileparts(logFile);
diary off;
if exist(logFile,'file')
    if strcmpi(logext,'.log') %% just making sure it's a .log file before deletion
        if ~exist('crashLogs','dir')
            mkdir('crashLogs')
        end
        movefile(logFile,['crashLogs',filesep,logFileNameOnly,datestr(now,'_yyyymmdd_hhMMss'),logext]);
    end
end