%% This funciton creates one binary file from all raw gps data files for post
% raw gps files are numbered rawgps.rx, x = 0,1,2,...
% parameters:
%FirstFilenum- file number to start processing Just the number
%LastFilenum-  file number to end processing- Just the number
% This will overwrite any files in the Output directory
function filecat(fileExt)
if(nargin<1)
    fileExt = input('Enter the extension for files to cat (e.g. ''span'' for filenum.span) :');
end
inputfolder= uigetdir([],'Select Folder with Dice QC Data');                  % folder containing input data (include trailing '/' or '\')
if(inputfolder == 0)
    errordlg({'Do you want to QC DICE or NOt?';'Rerun the Prog and select the Folder.'})
    exit;
end
inputfolder = [inputfolder,'\'];
outputfolder=[inputfolder,'Cat\'];                           % folder to send output data (include trailing '/' or '\')

% Find input files:
dFileStr = dir([inputfolder,'*.',fileExt]);
numDataFiles = length(dFileStr);
if numDataFiles==0
    error('Data Files Not Found! Check the File extension')
end

[sv,sx] = sort([dFileStr.datenum]);
dFileStr = dFileStr(sx);
if exist(outputfolder,'dir')==0
    mkdir(outputfolder)
end
fprintf('Writing File: %03.0f of %03.0f',1,numDataFiles)
fidWr = fopen([outputfolder,'CAT_',datestr(dFileStr(1).datenum,'yyyymmdd'),'.',fileExt],'w');
cleanerWr = onCleanup(@()fclose(fidWr));
for fnum=1:numDataFiles
    fidRd = fopen([inputfolder,dFileStr(fnum).name],'r');
    cleanerRd = onCleanup(@()fclose(fidRd));
    fwrite(fidWr,fread(fidRd));
    fprintf('\b\b\b\b\b\b\b\b\b\b%03.0f of %03.0f',fnum,numDataFiles);
    clear('cleanerRd');
end
fprintf('\n');
clear('cleanerWr');
disp('Done!')
