
%% Optimization of Survery Altitude and Radar parameters
% clear all; close all; clc;
Survey_Alt_ft = [1500:4000];    % How we think of elevation
Survey_Alt = Survey_Alt_ft/3.28;    % How light thinks of distance in air
Survey_Alt_Ice = Survey_Alt*1.68/3; % How light thinks of distanc in ice
tau = 250e-6;   % Chirp period for SIR
BW = 600e6;     % Signal Bandwidth for SIR
Fs = 50e6;      % ADC sampling rate for SIR
c_ice = 1.68e6; % What we typically use for light speed in ice
delR = c_ice/2/BW   % SIR range resolution (Ideal)
maxRange= ones(1,length(Survey_Alt_ft))*Fb2Range(BW,tau,Fs/2);
Multiple_Freq = Range2Fb(BW,tau,Survey_Alt,0)*2;
% If the multiple frequency is higher than Nyquist (Fs/2) then Compute
% Alias frequency
Multiple_Freq(Multiple_Freq>Fs/2)= Fs - Multiple_Freq(Multiple_Freq>Fs/2);
figure
h1 = subplot(2,1,1);
plot(Survey_Alt_ft,Fb2Range(BW,tau,Multiple_Freq),'r.',Survey_Alt_ft,Survey_Alt_Ice,'g.',Survey_Alt_ft,maxRange,'b.',Survey_Alt_ft,Survey_Alt_Ice*2,'k');
axis([Survey_Alt_ft(1) Survey_Alt_ft(end) 0 Survey_Alt_Ice(end)*2+50])
set(gca,'ydir','reverse')
legend('Surface Multiple-SIR','Surface','Maximum Range-SIR','Surface Multiple -Dice')
xlabel('Survey Elevation, ft')
ylabel('Distance in Ice, m (c_i_c_e = 1.68e8)')
title({'Surface Multiple ';['Chirp Period = ',num2str(tau*1e6),' \mus, ','BW = ',num2str(BW/1e6),' MHz']})
grid
h2 = subplot(2,1,2);
plot(Survey_Alt_ft,maxRange-Survey_Alt_Ice);
axis([Survey_Alt_ft(1) Survey_Alt_ft(end) 0 maxRange(1)+50])
set(gca,'ydir','reverse')
xlabel('Survey Elevation, ft')
ylabel('Distance in Ice, m (c_i_c_e = 1.68e8)')
title('Max Ice Depth - SIR')
grid
linkaxes([h1 h2],'x')
